Skip to main content
POST
/
api
/
notifications
/
subscriptions
Create a notification subscription
curl --request POST \
  --url https://app.demand-iq.com/api/notifications/subscriptions \
  --header 'Content-Type: application/json' \
  --cookie session= \
  --data '
{
  "name": "Slack — new presentation",
  "eventType": "presentation.created",
  "channel": "webhook",
  "channelConfig": {},
  "deckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "isActive": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "eventType": "<string>",
  "channel": "webhook",
  "channelConfig": {},
  "isActive": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "deckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

session
string
cookie
required

Session cookie obtained from POST /api/auth/login.

Body

application/json
name
string
required
Example:

"Slack — new presentation"

eventType
string
required

Event type to subscribe to (e.g. presentation.opened, slide.viewed, cta.clicked, contract.signed, question.asked, appointment.booked)

Example:

"presentation.created"

channel
enum<string>
required
Available options:
webhook,
email,
console
channelConfig
object
required

Channel-specific config. Webhook: { url }. Email: { recipients: ["a@b.com"] }.

deckId
string<uuid>

Scope to a specific deck (optional)

isActive
boolean
default:true

Response

Subscription created

id
string<uuid>
required
organizationId
string<uuid>
required
name
string
required
eventType
string
required
channel
enum<string>
required
Available options:
webhook,
email,
console
channelConfig
object
required

Channel-specific configuration (e.g. URL for webhook, recipients for email)

isActive
boolean
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
deckId
string<uuid> | null